--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: debug_io
- !ruby/object:RI::MethodSummary 
  name: debug_io=
- !ruby/object:RI::MethodSummary 
  name: debugging?
- !ruby/object:RI::MethodSummary 
  name: start
- !ruby/object:RI::MethodSummary 
  name: start_named
comment: 
- !ruby/struct:SM::Flow::H 
  level: 1
  text: Transaction::Simple for Ruby
- !ruby/struct:SM::Flow::P 
  body: Simple object transaction support for Ruby
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSACTION_SIMPLE_VERSION
  value: "'1.4.0'"
- !ruby/object:RI::Constant 
  comment: 
  name: SKIP_TRANSACTION_VARS
  value: "%w(@__transaction_checkpoint__ @__transaction_level__)"
full_name: Transaction::Simple
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: abort_transaction
- !ruby/object:RI::MethodSummary 
  name: commit_transaction
- !ruby/object:RI::MethodSummary 
  name: rewind_transaction
- !ruby/object:RI::MethodSummary 
  name: start_transaction
- !ruby/object:RI::MethodSummary 
  name: transaction
- !ruby/object:RI::MethodSummary 
  name: transaction_exclusions
- !ruby/object:RI::MethodSummary 
  name: transaction_name
- !ruby/object:RI::MethodSummary 
  name: transaction_open?
name: Simple
superclass: 
